Package org.jbpm.services.task.utils

## Class ContentMarshallerHelper

- java.lang.Object
- - org.jbpm.services.task.utils.ContentMarshallerHelper

-     public class ContentMarshallerHelper
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ContentMarshallerHelper()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static org.kie.internal.task.api.model.ContentData` | `marshal​(Object o, org.kie.api.runtime.Environment env)` |
    `static org.kie.internal.task.api.model.ContentData` | `marshal​(org.kie.api.task.model.Task task, Object o, org.kie.api.runtime.Environment env)` |
    `static org.kie.internal.task.api.model.FaultData` | `marshalFault​(Map<String,​Object> fault, org.kie.api.runtime.Environment env)` |
    `static org.kie.internal.task.api.model.FaultData` | `marshalFault​(org.kie.api.task.model.Task task, Map<String,​Object> fault, org.kie.api.runtime.Environment env)` |
    `static byte[]` | `marshallContent​(Object o, org.kie.api.runtime.Environment env)` |
    `static byte[]` | `marshallContent​(org.kie.api.task.model.Task task, Object o, org.kie.api.runtime.Environment env)` |
    `static Object` | `unmarshall​(byte[] content, org.kie.api.runtime.Environment env)` |
    `static Object` | `unmarshall​(byte[] content, org.kie.api.runtime.Environment env, ClassLoader classloader)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContentMarshallerHelper

          public ContentMarshallerHelper()

  - ### Method Detail

    - #### marshal

          public static org.kie.internal.task.api.model.ContentData marshal​(Object o,
                                                                            org.kie.api.runtime.Environment env)

    - #### marshal

          public static org.kie.internal.task.api.model.ContentData marshal​(org.kie.api.task.model.Task task,
                                                                            Object o,
                                                                            org.kie.api.runtime.Environment env)

    - #### marshalFault

          public static org.kie.internal.task.api.model.FaultData marshalFault​(Map<String,​Object> fault,
                                                                               org.kie.api.runtime.Environment env)

    - #### marshalFault

          public static org.kie.internal.task.api.model.FaultData marshalFault​(org.kie.api.task.model.Task task,
                                                                               Map<String,​Object> fault,
                                                                               org.kie.api.runtime.Environment env)

    - #### unmarshall

          public static Object unmarshall​(byte[] content,
                                          org.kie.api.runtime.Environment env)

    - #### unmarshall

          public static Object unmarshall​(byte[] content,
                                          org.kie.api.runtime.Environment env,
                                          ClassLoader classloader)

    - #### marshallContent

          public static byte[] marshallContent​(Object o,
                                               org.kie.api.runtime.Environment env)

    - #### marshallContent

          public static byte[] marshallContent​(org.kie.api.task.model.Task task,
                                               Object o,
                                               org.kie.api.runtime.Environment env)